<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:41 PST 2017 -->
<title>Unit</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Unit";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Type.Spec.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/XDoc.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Unit.html" target="_top">Frames</a></li>
<li><a href="Unit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Unit" class="title">Class Unit</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">xdc.services.spec.Node</a></li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Unit</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Unit</span>
extends <a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Unit">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#decl(java.lang.String)">decl</a></strong>(java.lang.String&nbsp;name)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>replaced by <a href="../../../xdc/services/spec/Unit.html#getDecl(java.lang.String)"><code>getDecl(String)</code></a></i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#delegatesTo()">delegatesTo</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getAllFxns()">getAllFxns</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getChildren()">getChildren</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Config.html" title="class in xdc.services.spec">Decl.Config</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getConfigs()">getConfigs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getCreator()">getCreator</a></strong>()</code>
<div class="block">Get the instance creation function for this unit.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getDecl(java.lang.String)">getDecl</a></strong>(java.lang.String&nbsp;name)</code>
<div class="block">Get the named declaration from this unit.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getDecls()">getDecls</a></strong>()</code>
<div class="block">Get all the declarations defined for this unit.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getEmbeds()">getEmbeds</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getFxns()">getFxns</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getInherits()">getInherits</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getInternFxns()">getInternFxns</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getPkgName()">getPkgName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getProxies()">getProxies</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getQualName()">getQualName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getSuper()">getSuper</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getUses()">getUses</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#getXmlTag()">getXmlTag</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#hasCreateArgs()">hasCreateArgs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#hasCustHdr()">hasCustHdr</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#hasInstObj()">hasInstObj</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#isForwarding()">isForwarding</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#isHeir()">isHeir</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#isProxy()">isProxy</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#isSized()">isSized</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#needsRuntime()">needsRuntime</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Unit.html#queryFacet(java.lang.String)">queryFacet</a></strong>(java.lang.String&nbsp;tName)</code>
<div class="block">Query unit for the specified facet type</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.spec.Node">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></h3>
<code><a href="../../../xdc/services/spec/Node.html#attrBool(java.lang.String)">attrBool</a>, <a href="../../../xdc/services/spec/Node.html#attrInt(java.lang.String)">attrInt</a>, <a href="../../../xdc/services/spec/Node.html#attrString(java.lang.String)">attrString</a>, <a href="../../../xdc/services/spec/Node.html#compareTo(xdc.services.spec.Node)">compareTo</a>, <a href="../../../xdc/services/spec/Node.html#getAtom()">getAtom</a>, <a href="../../../xdc/services/spec/Node.html#getAttrMap()">getAttrMap</a>, <a href="../../../xdc/services/spec/Node.html#getDocs()">getDocs</a>, <a href="../../../xdc/services/spec/Node.html#getName()">getName</a>, <a href="../../../xdc/services/spec/Node.html#getParent()">getParent</a>, <a href="../../../xdc/services/spec/Node.html#getSession()">getSession</a>, <a href="../../../xdc/services/spec/Node.html#getSummary()">getSummary</a>, <a href="../../../xdc/services/spec/Node.html#hasAttr(java.lang.String)">hasAttr</a>, <a href="../../../xdc/services/spec/Node.html#isExternal()">isExternal</a>, <a href="../../../xdc/services/spec/Node.html#isFinal()">isFinal</a>, <a href="../../../xdc/services/spec/Node.html#isInst()">isInst</a>, <a href="../../../xdc/services/spec/Node.html#isInter()">isInter</a>, <a href="../../../xdc/services/spec/Node.html#isInternal()">isInternal</a>, <a href="../../../xdc/services/spec/Node.html#isMeta()">isMeta</a>, <a href="../../../xdc/services/spec/Node.html#isMod()">isMod</a>, <a href="../../../xdc/services/spec/Node.html#isNodoc()">isNodoc</a>, <a href="../../../xdc/services/spec/Node.html#isOver()">isOver</a>, <a href="../../../xdc/services/spec/Node.html#isReadonly()">isReadonly</a>, <a href="../../../xdc/services/spec/Node.html#isStatic()">isStatic</a>, <a href="../../../xdc/services/spec/Node.html#isSys()">isSys</a>, <a href="../../../xdc/services/spec/Node.html#makeXDoc()">makeXDoc</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="decl(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decl</h4>
<pre>@Deprecated
public final&nbsp;<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>&nbsp;decl(java.lang.String&nbsp;name)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>replaced by <a href="../../../xdc/services/spec/Unit.html#getDecl(java.lang.String)"><code>getDecl(String)</code></a></i></div>
</li>
</ul>
<a name="delegatesTo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delegatesTo</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&nbsp;delegatesTo()</pre>
</li>
</ul>
<a name="getAllFxns()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllFxns</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&gt;&nbsp;getAllFxns()</pre>
</li>
</ul>
<a name="getCreator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreator</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&nbsp;getCreator()</pre>
<div class="block">Get the instance creation function for this unit.

  This method returns the most specific constructor for this unit.  If
  this unit does not support instances, null is returned.</div>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>&gt;&nbsp;getChildren()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getChildren()">getChildren</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="getConfigs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigs</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Config.html" title="class in xdc.services.spec">Decl.Config</a>&gt;&nbsp;getConfigs()</pre>
</li>
</ul>
<a name="getDecl(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDecl</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>&nbsp;getDecl(java.lang.String&nbsp;name)</pre>
<div class="block">Get the named declaration from this unit.

  This method returns the most specific declaration named by
  name for this unit.  If the named declaration does not exist, null is
  returned.</div>
</li>
</ul>
<a name="getDecls()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDecls</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>&gt;&nbsp;getDecls()</pre>
<div class="block">Get all the declarations defined for this unit.

  This method returns the most specific declarations defined for this
  unit.  Declarations include functions, config parameters, constants,
  etc.</div>
</li>
</ul>
<a name="getEmbeds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmbeds</h4>
<pre>public final&nbsp;java.util.Set&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;&nbsp;getEmbeds()</pre>
</li>
</ul>
<a name="getFxns()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFxns</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&gt;&nbsp;getFxns()</pre>
</li>
</ul>
<a name="getInherits()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInherits</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;&nbsp;getInherits()</pre>
</li>
</ul>
<a name="getInternFxns()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInternFxns</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&gt;&nbsp;getInternFxns()</pre>
</li>
</ul>
<a name="getProxies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProxies</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;&nbsp;getProxies()</pre>
</li>
</ul>
<a name="getPkgName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPkgName</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getPkgName()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getPkgName()">getPkgName</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="getQualName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualName</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getQualName()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getQualName()">getQualName</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="getSuper()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuper</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&nbsp;getSuper()</pre>
</li>
</ul>
<a name="getUses()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUses</h4>
<pre>public final&nbsp;java.util.Set&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;&nbsp;getUses()</pre>
</li>
</ul>
<a name="getXmlTag()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXmlTag</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getXmlTag()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getXmlTag()">getXmlTag</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="hasCustHdr()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasCustHdr</h4>
<pre>public final&nbsp;boolean&nbsp;hasCustHdr()</pre>
</li>
</ul>
<a name="hasCreateArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasCreateArgs</h4>
<pre>public&nbsp;boolean&nbsp;hasCreateArgs()</pre>
</li>
</ul>
<a name="isForwarding()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isForwarding</h4>
<pre>public final&nbsp;boolean&nbsp;isForwarding()</pre>
</li>
</ul>
<a name="isHeir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHeir</h4>
<pre>public final&nbsp;boolean&nbsp;isHeir()</pre>
</li>
</ul>
<a name="isProxy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isProxy</h4>
<pre>public final&nbsp;boolean&nbsp;isProxy()</pre>
</li>
</ul>
<a name="isSized()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSized</h4>
<pre>public final&nbsp;boolean&nbsp;isSized()</pre>
</li>
</ul>
<a name="hasInstObj()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasInstObj</h4>
<pre>public final&nbsp;boolean&nbsp;hasInstObj()</pre>
</li>
</ul>
<a name="needsRuntime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>needsRuntime</h4>
<pre>public final&nbsp;boolean&nbsp;needsRuntime()</pre>
</li>
</ul>
<a name="queryFacet(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>queryFacet</h4>
<pre>public&nbsp;java.lang.String&nbsp;queryFacet(java.lang.String&nbsp;tName)</pre>
<div class="block">Query unit for the specified facet type</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the name of the config parameter that corresponds to the
  type named by tName</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Type.Spec.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/XDoc.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Unit.html" target="_top">Frames</a></li>
<li><a href="Unit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
